Bug 201237 - Regression in CLucene (ternary operator )
Regression in CLucene (ternary operator )
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Code Model
7.1
PC Solaris
: P2 (vote)
: 7.1
Assigned To: nnnnnk
issues@cnd
701patch2-verified, elif
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-23 08:24 UTC by soldatov
Modified: 2011-09-27 09:19 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description soldatov 2011-08-23 08:24:03 UTC
/export/new_projects/clucene-0.9.10/src/CLucene/search/RangeQuery.cpp 164 Unable to resolve identifier lowerTerm
/export/new_projects/clucene-0.9.10/src/CLucene/search/RangeQuery.cpp 166 Unable to resolve identifier upperTerm
Name = /export/new_projects/clucene-0.9.10/src/CLucene/search/RangeQuery.cpp, Errors = 0, Warnings = 0, Invalid identifiers = 2, Invalid identifiers (Warnings) = 0, Other Annotations = 0, Errors (Internal API) = 2, Lines = 193
Comment 1 nnnnnk 2011-09-13 09:54:03 UTC
fixed in cnd-main:
http://hg.netbeans.org/cnd-main/rev/a0c48c9f4360
Comment 2 Vladimir Voskresensky 2011-09-13 11:42:17 UTC
fix looks safe and if lucene is back to zero, please, integrate
Comment 3 Vladimir Voskresensky 2011-09-13 12:38:04 UTC
additional review shows that safe is not completely correct. Needs additional work
Comment 4 nnnnnk 2011-09-15 12:27:48 UTC
example:
class A {
public:
    A() {}
    
    bool foo(){
        return true;
    }
    A* bar(bool){
        return (A*)0;
    }
};

int main(int argc, char** argv) {
    A f;
    f.bar( f.foo() ? f.foo() : f.foo() )->foo();
    
    return 0;
}
Comment 5 nnnnnk 2011-09-15 14:08:32 UTC
fixed:
http://hg.netbeans.org/cnd-main/rev/e07ecbfae30b
Comment 6 Vladimir Voskresensky 2011-09-15 15:32:18 UTC
I reviewed. Fix is safe and correct.
Comment 7 Vladimir Voskresensky 2011-09-16 11:35:16 UTC
manual transplant as 32bb85183372
Comment 8 dnikitin 2011-09-20 14:24:44 UTC
verified in Build oss-platform-build-61-on-20110916
Comment 9 soldatov 2011-09-27 09:19:15 UTC
verified in NetBeans IDE 7.0.1 (Build 201109261118)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo